public class Rectangle {

    private Point upperLeft, lowerRight;

    public Rectangle (Point upperLeft, Point lowerRight) {
        if (lowerRight.getX() < upperLeft.getX() ||
            lowerRight.getY() < upperLeft.getY())
            throw new IllegalArgumentException("Rectangle constructor: contradictory arguments");
        else {
            this.upperLeft = upperLeft;
            this.lowerRight = lowerRight;
        }
    }

    public int area() {
        return (lowerRight.getX() - upperLeft.getX()) * (lowerRight.getY() - upperLeft.getY());
    }
    
    public Point getUpperLeft() {return upperLeft;}
    public Point getLowerRight() {return lowerRight;}

    public boolean contains(Rectangle r) {
        return r.getUpperLeft().getX()  >= upperLeft.getX() 
            && r.getUpperLeft().getY()  >= upperLeft.getY() 
            && r.getLowerRight().getX() <= lowerRight.getX() 
            && r.getLowerRight().getY() <= lowerRight.getY();
    } 

}
