import java.io.*;

public class Recursion {

    public static int gcd(int m, int n) {
        if (n==0) {
            if (m==0) 
                throw new IllegalArgumentException("gcd: both arguments 0");
            else
                return m;
        } else
            return gcd (n, m % n);
    }

    public static int binarySearch(int[] a, int fromIndex, int toIndex, int key) {
        if (toIndex <= fromIndex)
            return -1;
        else {
            int midIndex = (fromIndex + toIndex)/2;
            if (a[midIndex]==key)
                return midIndex;
            else if (a[midIndex] < key)
                return binarySearch(a,midIndex+1,toIndex,key);
            else
                return binarySearch(a,fromIndex,midIndex,key);
        }
    }

    public static int totalSize(File f) {
        File[] files = f.listFiles();
        if (files==null) 
            return (int)f.length(); // length() returns a long!
        else {
            int res = 0;
            for (int i=0; i<files.length; i++)
                res = res + totalSize(files[i]);
            return res;
        }
    }

    public static void main(String[] args) throws IOException {
        System.out.println(totalSize(new File(args[0])));
    }

}